﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="SelectionOnEnabledCheckBoxes.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="radG" Namespace="Telerik.WebControls" Assembly="RadGrid.Net2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Grid ClientSelectColumn scenario - disable certain check boxes and perform "select all" on items having enabled check boxes only</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <script type="text/javascript">
            function RowSelecting(rowObject)
            {
                //get the input check box
                var inputCheckBox = rowObject.Control.getElementsByTagName("input")[0]; 
                if (inputCheckBox.disabled)
                {
                    //cancel selection
                    return false;
                }
            }
        </script>
        <radG:RadGrid ID="RadGrid1" DataSourceID="AccessDataSource1" AllowMultiRowSelection="true"
            runat="server" OnItemCreated="RadGrid1_ItemCreated">
            <MasterTableView Width="100%">
                <Columns>
                    <radG:GridClientSelectColumn UniqueName="ClientSelectColumn" />
                </Columns>
            </MasterTableView>
            <ClientSettings ApplyStylesOnClient="True">
                <Selecting AllowRowSelect="True"></Selecting>
                <ClientEvents OnRowSelecting="RowSelecting" />
            </ClientSettings>
        </radG:RadGrid>
        <br />
        <asp:AccessDataSource ID="AccessDataSource1" DataFile="~/App_Data/Access/Nwind.mdb" runat="server"        
            SelectCommand="SELECT TOP 10 CustomerID, CompanyName, ContactName, ContactTitle, Address, PostalCode FROM Customers"></asp:AccessDataSource>
    </div>
    </form>
</body>
</html>
